> ## Documentation Index
> Fetch the complete documentation index at: https://cantonfoundation-update-ref-tables.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# GET /v0/history/bulk/acs

> **Under Development, do not use in production yet** Get download URLs and metadata for an ACS snapshot available for bulk download, at or before a certain record time.




## OpenAPI

````yaml /openapi/splice/scan/scan.yaml get /v0/history/bulk/acs
openapi: 3.0.0
info:
  title: Scan API
  version: 0.0.1
servers:
  - url: https://scan.sv-1.global.canton.network.sync.global/api/scan
security: []
tags:
  - name: external
    description: >
      These endpoints are intended for public usage and will remain
      backward-compatible.
  - name: internal
    description: >
      For internal usage only, not guaranteed to be stable or
      backward-compatible.
  - name: deprecated
    description: |
      These endpoints are deprecated and will be removed in a future release.
  - name: scan
    description: |
      The internal and external endpoints.
  - name: pre-alpha
    description: |
      Still under active development, highly unstable. Do not use in production.
paths:
  /v0/history/bulk/acs:
    get:
      tags:
        - pre-alpha
        - scan
      summary: GET /v0/history/bulk/acs
      description: >
        **Under Development, do not use in production yet** Get download URLs
        and metadata for an ACS snapshot available for bulk download, at or
        before a certain record time.
      operationId: listBulkAcsSnapshotObjects
      parameters:
        - name: at_or_before_record_time
          in: query
          required: true
          schema:
            type: string
            format: date-time
      responses:
        '200':
          description: ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListBulkAcsSnapshotObjectsResponse'
        '404':
          $ref: '#/components/responses/404'
        '501':
          $ref: '#/components/responses/501'
components:
  schemas:
    ListBulkAcsSnapshotObjectsResponse:
      type: object
      required:
        - record_time
        - object_refs
      properties:
        record_time:
          description: |
            The record time for which the ACS snapshot was taken.
          type: string
          format: date-time
        object_refs:
          description: >
            The list of references to the bulk storage objects containing the
            ACS snapshot data.
          type: array
          items:
            $ref: '#/components/schemas/BulkStorageObjectRef'
    BulkStorageObjectRef:
      type: object
      required:
        - url
        - digest
      properties:
        url:
          description: |
            The URL from which the bulk storage object can be downloaded.
          type: string
        digest:
          description: >
            The sha256 digest of the bulk storage object, for verification of
            integrity and consistency across SVs.
          type: string
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: string
  responses:
    '404':
      description: not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    '501':
      description: not implemented
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'

````